import { jsx } from "react/jsx-runtime";
import { TokenDIVER as TokenDIVER$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDIVER = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "DIVER", "data-name": "TokenDIVER", ...props, children: /* @__PURE__ */ jsx(TokenDIVER$1, { variant }) });
  }
);
TokenDIVER.displayName = "TokenDIVER";
Object.assign(TokenDIVER, { isGdsIcon: true });
export {
  TokenDIVER
};
